## org.eclipse.emf.ecoretools.diagram.part
Class EcoreVisualIDRegistry

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.part.EcoreVisualIDRegistry

    public class EcoreVisualIDRegistry

extends java.lang.Object

This registry is used to determine which type of visual object should be created for the corresponding Diagram, Node, ChildNode or Link represented by a domain model object.

Constructor Summary
`EcoreVisualIDRegistry()`

Method Summary
`static boolean` `canCreateNode(org.eclipse.gmf.runtime.notation.View containerView, int nodeVisualID)`
`static int` `getDiagramVisualID(org.eclipse.emf.ecore.EObject domainElement)`
`static int` `getLinkWithClassVisualID(org.eclipse.emf.ecore.EObject domainElement)`
`static java.lang.String` `getModelID(org.eclipse.gmf.runtime.notation.View view)`
`static int` `getNodeVisualID(org.eclipse.gmf.runtime.notation.View containerView, org.eclipse.emf.ecore.EObject domainElement)`
`static java.lang.String` `getType(int visualID)`
`static int` `getVisualID(java.lang.String type)`
`static int` `getVisualID(org.eclipse.gmf.runtime.notation.View view)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreVisualIDRegistry

    public EcoreVisualIDRegistry()

Method Detail

### getVisualID

    public static int getVisualID(org.eclipse.gmf.runtime.notation.View view)

### getModelID

    public static java.lang.String getModelID(org.eclipse.gmf.runtime.notation.View view)

### getVisualID

    public static int getVisualID(java.lang.String type)

### getType

    public static java.lang.String getType(int visualID)

### getDiagramVisualID

    public static int getDiagramVisualID(org.eclipse.emf.ecore.EObject domainElement)

### getNodeVisualID

    public static int getNodeVisualID(org.eclipse.gmf.runtime.notation.View containerView,
                                      org.eclipse.emf.ecore.EObject domainElement)

### canCreateNode

    public static boolean canCreateNode(org.eclipse.gmf.runtime.notation.View containerView,
                                        int nodeVisualID)

### getLinkWithClassVisualID

    public static int getLinkWithClassVisualID(org.eclipse.emf.ecore.EObject domainElement)

Copyright 2007 Anyware Technologies. All Rights Reserved.